Bug 221601 - Support class file version: 52.0
Support class file version: 52.0
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.1
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 07:59 UTC by Tomas Hurka
Modified: 2013-07-04 07:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-11-07 07:59:05 UTC
Latest JDK 8 builds will use new class file version 52. Profiler should support it. See <http://bugs.sun.com/view_bug.do?bug_id=8001112> for details about new class file version.
Comment 1 Tomas Hurka 2012-11-21 15:21:24 UTC
Fixed in profiler-main

changeset:   239498:cc6aa565a1a1
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Nov 21 16:13:54 2012 +0100
summary:     bugfix #221601, profiler should accept classfiles with classfile version 52
Comment 2 Quality Engineering 2012-11-23 02:42:28 UTC
Integrated into 'main-golden', will be available in build *201211230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cc6aa565a1a1
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #221601, profiler should accept classfiles with classfile version 52


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo